+ Reply to Thread
Page 1 of 3 1 2 3 LastLast
Results 1 to 10 of 22
  1. #1
    Senior Member
    Using
    AutoCAD 2010
    Join Date
    Mar 2008
    Posts
    171

    Default Background Mask for Objects

    Registered forum members do not see this ad.

    Is there a background mask option for objects such as a block or polygon?

    I would like to insert windows and doors into blueprints without having to trim the wall lines after.

    Thanks for any suggestions.

  2. #2
    Super Member ScribbleJ's Avatar
    Computer Details
    ScribbleJ's Computer Details
    Operating System:
    Windows 7
    Computer:
    Dell Precision T3500
    CPU:
    Intel(R) Xeon(R) CPU W3530 @ 2.8GHz 2800 Mhz
    RAM:
    12 gig
    Graphics:
    Nvidia Quadro 600
    Primary Storage:
    237 GB
    Monitor:
    Main: Dell 2408 Aux: Dell 1703FP
    Discipline
    Civil
    ScribbleJ's Discipline Details
    Occupation
    Civil Design Tech for Water / Waste Water Industry.
    Discipline
    Civil
    Details
    Roadway designs, water and waste-water treatment systems and water distribution systems.
    Using
    Civil 3D 2014
    Join Date
    Dec 2008
    Location
    Rancho Cordova, CA
    Posts
    541

    Default

    Yeah it would be the 'Wipeout' command. Give it a shot.
    Calvin
    Soli Deo Gloria

  3. #3
    Senior Member
    Using
    AutoCAD 2010
    Join Date
    Mar 2008
    Posts
    171

    Default

    That seems to get the job done but it is still a little tedious. Wouldn't I have to draw the wipeout block to match the window or door block?

    I was hoping for something you could apply directly to a block like the background mask property for text.

    Although this option definitely seems better than trimming the lines manually afterward. Thanks for the suggestion.

  4. #4
    Super Member ScribbleJ's Avatar
    Computer Details
    ScribbleJ's Computer Details
    Operating System:
    Windows 7
    Computer:
    Dell Precision T3500
    CPU:
    Intel(R) Xeon(R) CPU W3530 @ 2.8GHz 2800 Mhz
    RAM:
    12 gig
    Graphics:
    Nvidia Quadro 600
    Primary Storage:
    237 GB
    Monitor:
    Main: Dell 2408 Aux: Dell 1703FP
    Discipline
    Civil
    ScribbleJ's Discipline Details
    Occupation
    Civil Design Tech for Water / Waste Water Industry.
    Discipline
    Civil
    Details
    Roadway designs, water and waste-water treatment systems and water distribution systems.
    Using
    Civil 3D 2014
    Join Date
    Dec 2008
    Location
    Rancho Cordova, CA
    Posts
    541

    Default

    I wished I could tell you what you want to hear but that is the only option you have. I have actually for hoped for something simpler myself doing similar task.
    Calvin
    Soli Deo Gloria

  5. #5
    Senior Member
    Using
    AutoCAD 2010
    Join Date
    Mar 2008
    Posts
    171

    Default

    Maybe this'll be added in future versions of autocad. Anyway thanks again.

  6. #6
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,199

    Default

    Interesting idea. Actually, would be pretty easy if you have shrinkwrap....

    Code:
    (defun c:TEST (/ #SS #Temp #Entlast)
      (and (setq #SS (ssget))
           (setq #Temp (entlast))
           (vl-cmdf "_.aeclineworkshrinkwrap" #SS "")
           (not (equal #Temp (setq #Entlast (entlast))))
           (vl-cmdf "_.wipeout" "_polyline" #Entlast "_yes")
      ) ;_ and
      (princ)
    ) ;_ defun
    DropBox
    Seann: ...it went crazy ex-girlfriend on me...
    eric_monceaux...its pretty funny seeing two AutoCAD Gods give each other flak...

  7. #7
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,199

    Default

    It's too many variables to worry with, but you can easily accomplish this by:
    1. Drawing a rectangle around the objects.
    2. Execute BPOLY and pick a point inside the newly drawn rectangle, but outside of objects. A new polyline will be drawn around the rectangle and another will be drawn around the objects.
    3. Convert the polyline around objects to a wipeout (execute wipeout, specify polyline, select and say yes to delete).

    Wa-Lah a wipeout created.
    DropBox
    Seann: ...it went crazy ex-girlfriend on me...
    eric_monceaux...its pretty funny seeing two AutoCAD Gods give each other flak...

  8. #8
    Full Member Krztoff's Avatar
    Computer Details
    Krztoff's Computer Details
    Operating System:
    Windows 7 64bit
    Computer:
    Some assembled no brand PC
    Motherboard:
    LX ASUS S1156 IP55 DDR3 SATA2 GBLAN
    CPU:
    Intel Core i7 870 2.93GHz
    RAM:
    8Gb 1333MHZ DDR3 NONECC
    Graphics:
    QUADRO FX 380 PCIE 512M DL
    Primary Storage:
    WD CAVIAR BLUE 500GB 3.5" SATA3
    Monitor:
    Syncmaster710N and some Sony 17"
    Using
    Civil 3D 2011
    Join Date
    Feb 2009
    Posts
    99

    Default

    You can use a white solid hatch as the background of the block?

  9. #9
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,375

    Default

    Maybe WIPE.LSP at this website would work?

    http://www.turvill.com/t2/free_stuff/

    It's the last LISP routine listed.
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  10. #10
    Senior Member
    Computer Details
    Doove's Computer Details
    Operating System:
    7
    Computer:
    HP Elitebook
    CPU:
    Intel i7 M620 2.67GHz
    RAM:
    8GB
    Graphics:
    NVidia Quadro FX880M (512MB)
    Using
    Inventor 2011
    Join Date
    Oct 2008
    Location
    South Wales
    Posts
    136

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by alanjt View Post
    It's too many variables to worry with, but you can easily accomplish this by:
    1. Drawing a rectangle around the objects.
    2. Execute BPOLY and pick a point inside the newly drawn rectangle, but outside of objects. A new polyline will be drawn around the rectangle and another will be drawn around the objects.
    3. Convert the polyline around objects to a wipeout (execute wipeout, specify polyline, select and say yes to delete).

    Wa-Lah a wipeout created.
    Doesn't BPOLY create polylines with arcs? WIPEOUT will only work with straight line segments.

    I use WIPEOUTs a lot to save trimming etc. I put them on their own layer and this layer will need to be on, unfrozen and set to plot, use 32 side polygons to approximate any curves. Add them to blocks and use visibility states to turn 'mask' on or off.

    To trun off display of frames for plotting: WIPEOUT -> Frames controls display of (guess what!) the wipeout frames, unfortunately there is no "display but don't plot" option like IMAGEFRAME = 2. Something I would dearly love.

    I draw a lot of pipe and have dynamic streching pipe blocks with wipeouts underneath in the block. Wipeouts can be controlled by dynamic functions and together with using draworder a lot this saves loads of time trimming and extending as the design changes.
    ... if I'm not back in twenty minutes... just wait longer...

Similar Threads

  1. Attribute w/ Background Mask
    By Pineapple in forum AutoCAD General
    Replies: 25
    Last Post: 7th Dec 2015, 07:52 pm
  2. Background mask in dimension text
    By Dean07 in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 5th Dec 2013, 10:14 pm
  3. MTEXT Background Mask Not Displaying
    By Prospectmp in forum AutoCAD Drawing Management & Output
    Replies: 5
    Last Post: 30th Jan 2008, 12:57 am
  4. Background Mask
    By CADwench in forum AutoCAD General
    Replies: 3
    Last Post: 5th Dec 2007, 03:21 am
  5. Background Mask & Join
    By Laurel in forum AutoCAD Beginners' Area
    Replies: 4
    Last Post: 21st Feb 2007, 05:17 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts